function x = Greville(d, u)
%
% MathLab set of functions for B-spline wavelets
% From: E.J. Stollnitz, T.D. DeRose, D.H. Salesin. 
%       Computer Graphics. Theory and Applications.
%       Morgan Kaufmann Publishers, Inc., San Francisco, California, 1996.
%
% Function: x = Greville(d, u)
% Purpose:  returns the vector of Greville abscissa values
%           corresponding to degree d and knot vector u.
% Comments:
%
l = length(u);
x = u(1 : l - d + 1);
for k = 2 : d
   x = x + u(k : l - d + k);
end;
x = x / d;
return;
% ... Greville(d, u)

