function x = Knots(d, j)
%
% MathLab set of functions for B-spline wavelets
% From: E.J. Stollnitz, T.D. DeRose, D.H. Salesin. 
%       Computer Graphics. Theory and Applications.
%       Morgan Kaufmann Publishers, Inc., San Francisco, California, 1996.
%
% Function: x  = Knots(d, j)
% Purpose:  returns a vector of knot values for B-spline scaling
%           functions of degree d, level j.
% Comments:
%
x = [zeros(1, d - 1) [0 : 2 ^ j - 1] / 2 ^ j  ones(1, d)];
return;
% ... Knots()

